#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	RC6
Summary:	Crypt::RC6 Perl module - RC6 block cipher encryption
Summary(pl.UTF-8):	Moduł Perla Crypt::RC6 - szyfr blokowy RC6
Name:		perl-Crypt-RC6
Version:	1.0
Release:	23
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6cd523b2ebfea33c66fc5f4252e88ce7
Patch0:		%{name}-endian.patch
URL:		http://search.cpan.org/dist/Crypt-RC6/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::CBC compliant RC6 block cipher encryption module. RC6 is an
evolutionary improvement of RC5, designed to meet the requirements of
the Advanced Encryption Standard (AES). This implementation requires
the use of a 16-, 24-, or 32-byte key and 16-byte blocks for
encryption/decryption. Twenty rounds are performed.

%description -l pl.UTF-8
Moduł jest zgodną z Crypt::CBC implementacją szyfru blokowego RC6. RC6
jest ewolucyjnym rozszerzeniem RC5, opracowanym na potrzeby AES
(Advanced Security Standard - standardu zaawansowanego
bezpieczeństwa). Ta implementacja wymaga użycia 16, 24, lub
32-bajtowego klucza i 16-bajtowych bloków do kodowania i dekodowania.
Wykonywane jest dwadzieścia kroków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Crypt/RC6.pm
%dir %{perl_vendorarch}/auto/Crypt/RC6
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/RC6/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-RC6.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 8eb2096
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d4f65e3
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5aec653
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8d3ffe5
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fdfb309
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7a52b7e
- rebuild with perl 5.30.0
- release 19 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> d716fb0
- release 18

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9f2c3e2
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 030542a
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d61a2dc
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cb292cb
- release 14 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> fbe9dc5
- x32 rebuild
- release 13 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b97c22c
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8e2e632
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> afb9a08
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3e31036
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> bc93797
- rel 9

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 737b3ac
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6257a98
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> ef5feb9
- release 6

